Friend¶
Manage your friends and access list of friends of another member on your Ning Network.
Properties¶
- author (screenname) [Read only]
- The screen name of the member who made the friend request
- friend (screenname) [Read/Write]
- The screen name of the member who received the friend request
- state (string) [Read/Write]
- The state of the relationship between the author and friend. Can be either pending, friend, or blocked.
HTTP GET¶
/xn/rest/apiexample/1.0/Friend/recent ¶
Retrieve your list of friend or the friends of another member.
Optional Query Parameters:¶
- author (screenname)
- Retrieve the list of friends for a specific member
- state (string)
- Only return friends in a certain state. Can be either friend, friend_request, follower, pending, blocked_friend, blocked_follower
- fields (field)
- Comma-separated list of desired properties, this is only a hint to the server
- anchor (string)
- An opaque token encodes the page of results returned, used in conjunction with count to page through a result set
- count (int)
- Returns one friend by default and supports a maximum of 100. Also supports negative values down to -100 for retrieving friends before the anchor
HTTP POST¶
/xn/rest/apiexample/1.0/Friend ¶
Add another member as a friend. The state of the relationship will be pending until the member accepts the request.
HTTP DELETE¶
/xn/rest/apiexample/1.0/Friend ¶
Remove the friend with the given screenname.
Required Query Parameters:¶
- friend (screenname)
- The screenname of the friend to remove
- state (string)
- Type of relationship to remove, supports friend or follower